%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	MDB2_Driver_mysqli
%define		subver	b3
%define		rel		3
Summary:	%{_pearname} - mysqli MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik mysqli dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	0.%{subver}.%{rel}
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	205e53bc57c6d50fde422337fcdf7bb9
URL:		http://pear.php.net/package/MDB2_Driver_mysqli/
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 5.0.0
Requires:	php(mysqli)
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:1.5.0-0.b3
Obsoletes:	php-pear-MDB2_Driver_mysqli-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the MySQLi MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik MySQLi dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/mysqli.php
%{php_pear_dir}/MDB2/Driver/Manager/mysqli.php
%{php_pear_dir}/MDB2/Driver/Native/mysqli.php
%{php_pear_dir}/MDB2/Driver/Reverse/mysqli.php
%{php_pear_dir}/MDB2/Driver/mysqli.php
%{php_pear_dir}/MDB2/Driver/Function/mysqli.php
%{php_pear_dir}/data/MDB2_Driver_mysqli
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 8ff2571
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> d470369
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 04dd23c
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 890c592
- up to 1.5.0b3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 3661ccb
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 46bf7a8
- up to 1.5.0b2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 936452e
- rel 2

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 188917b
- dropped %{epoch} from R: in tests subpackage

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 0c75140
- updated to 1.4.1; tests subpackage

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> 266c5a0
- 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cd8db7c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2298ee8
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 1e9724d
- rel 2: use php(extension) virtuals

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> ab7c466
- updated to 1.2.2

* Sat Sep 02 2006 Adam Gołębiowski <adamg@pld-linux.org> 6a5943d
- updated to 1.2.1

* Sun Aug 06 2006 Adam Gołębiowski <adamg@pld-linux.org> 72ced04
- updated to 1.2.0

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> a039deb
- updated to 1.1.0

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> d1fb719
- 1.0.3

* Sat Jun 03 2006 Elan Ruusamäe <glen@pld-linux.org> c1897f5
- updated deps

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> d6e7277
- BR rpm-build macros >= 1.300 for %pear_ macros

